﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Threading;

namespace Krot
{
    public partial class Form1 : Form
    {
        public string[] theSerialPortNames;
        public string endlit = "\r\n";
        bool Connected=false;
        public string DataForTexbBox = "";
        public string SensorData = "";
        public Form1()
        {
            InitializeComponent();
           // serialPort1.PortName = cbCOMname.Text;
          theSerialPortNames = System.IO.Ports.SerialPort.GetPortNames();
          cbCOMname.Items.Clear();
          cbCOMname.Items.AddRange(theSerialPortNames);


        }



        private void btConnect_Click(object sender, EventArgs e)
        {
            try
            {
                serialPort2.PortName = cbCOMname.Text;
                serialPort2.Open();
               // serialPort2.r
                trUpView.Enabled = true;
                lbState.Text = "Connected";
                Connected = true;
            }
            catch
            {
                MessageBox.Show("Check your port number");
                lbState.Text = "Can't connect";
            }
        }



        private void cbCOMname_TextChanged(object sender, EventArgs e)
        {
            /*try
            {
                serialPort2.PortName = cbCOMname.Text;
                serialPort2.Open();
            }
            catch
            {
                MessageBox.Show("Check your port number");
            }*/
        }

        private void btClose_Click(object sender, EventArgs e)
        {
            serialPort2.Close();
            trUpView.Enabled = false;
            lbState.Text = "Disconnected";
        }

        private void cbCOMname_SelectionChangeCommitted(object sender, EventArgs e)
        {

        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            serialPort2.Close();
            trUpView.Enabled = false;
        }

        private void btTest_Click(object sender, EventArgs e)
        {
            DataForTexbBox = "";
            serialPort2.Write("AT" + endlit);
        }

        private void btReset_Click(object sender, EventArgs e)
        {
            DataForTexbBox = "";
            serialPort2.Write("RESET" + endlit);
        }

        private void btFind_Click(object sender, EventArgs e)
        {
            serialPort2.Write("INQUIRY 5" + endlit);
        }

        private void btSetAUT_Click(object sender, EventArgs e)
        {
            serialPort2.Write("SET BT AUTH * " + tbSetAUT.Text + endlit);
        }

        private void btCall_Click(object sender, EventArgs e)
        {
            //главнео правильно указать адрес устройства полученного на этапе поиска блютуз устройств
            serialPort2.Write("CALL" + tbDevices.Text+"1101 RFCOMM" + endlit);
            DataForTexbBox = "";
            //trUpView.Enabled = false;
        }

        private void btDisconect_Click(object sender, EventArgs e)
        {
            lbState.Text = "Device disconnecting... Pause";
            Thread.Sleep(1000);
            lbState.Text = "Device Disconnecting... Stoping";
            serialPort2.Write("+++");
            Thread.Sleep(1000);
            serialPort2.Write("CLOSE " + tbLinkID.Text + endlit);
            lbState.Text = "Device disconnected";
        }

        private void serialPort1_DataReceived(object sender, System.IO.Ports.SerialDataReceivedEventArgs e)
        {
            if (Connected)
            {
                DataForTexbBox = DataForTexbBox + serialPort2.ReadExisting();
            }
            else
            {
                SensorData = SensorData + serialPort2.ReadExisting();
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            //tbData.Text = DataForTexbBox;
            if (Connected){
                tbData.Text=serialPort2.BytesToRead.ToString();
                }
        }

        



          
    }
}
